次の方法で共有


Job Agents - Update

ジョブ エージェントを更新します。

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
jobAgentName
path True

string

取得するジョブ エージェントの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 説明
identity

JobAgentIdentity

ジョブ エージェントに割り当てられたマネージド ID

sku

Sku

SKU の名前と層。

tags

object

リソース タグ。

応答

名前 説明
200 OK

JobAgent

Azureの運用は無事に完了しました。

202 Accepted

リソース更新要求は受け入れ済み。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Update a job agent's identity.
Update a job agent's sku.
Update a job agent's tags.

Update a job agent's identity.

要求のサンプル

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

{
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {}
    }
  }
}

応答のサンプル

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/test-umi": {
        "clientId": "e09c8507-0000-0000-97e2-18c5beec59dc",
        "principalId": "0c29d9b7-0ae2-4014-96ea-faf8e0cf2bc7"
      }
    }
  },
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/southeastasia/jobAgentOperationResults/00000000-1111-2222-3333-444444444444?api-version=2017-03-01-preview

Update a job agent's sku.

要求のサンプル

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

{
  "sku": {
    "name": "JA200"
  }
}

応答のサンプル

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA200",
    "capacity": 200
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/southeastasia/jobAgentOperationResults/00000000-1111-2222-3333-444444444444?api-version=2017-03-01-preview

Update a job agent's tags.

要求のサンプル

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

{
  "tags": {
    "mytag1": "myvalue1"
  }
}

応答のサンプル

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "tags": {
    "mytag1": "myvalue1"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/southeastasia/jobAgentOperationResults/00000000-1111-2222-3333-444444444444?api-version=2017-03-01-preview

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

JobAgent

An Azure SQL job agent.

JobAgentIdentity

Azure Active Directory identity configuration for a resource.

JobAgentIdentityType

ジョブ エージェント ID の種類

JobAgentState

ジョブ エージェントの状態。

JobAgentUpdate

Azure SQLジョブエージェントの更新。

JobAgentUserAssignedIdentity

Azure Active Directory identity configuration for a resource.

Sku

ARM リソース SKU。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

JobAgent

An Azure SQL job agent.

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

JobAgentIdentity

ジョブ エージェントの ID。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.databaseId

string (arm-id)

ジョブ メタデータを格納するデータベースのリソース ID。

properties.state

JobAgentState

ジョブ エージェントの状態。

sku

Sku

SKU の名前と層。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

JobAgentIdentity

Azure Active Directory identity configuration for a resource.

名前 説明
tenantId

string (uuid)

ジョブ エージェント ID テナント ID

type

JobAgentIdentityType

ジョブ エージェント ID の種類

userAssignedIdentities

<string,  JobAgentUserAssignedIdentity>

使用するユーザー割り当て ID のリソース ID

JobAgentIdentityType

ジョブ エージェント ID の種類

説明
None

なし

SystemAssigned

システム割り当て

UserAssigned

UserAssigned

SystemAssignedUserAssigned

SystemAssignedUserAssigned

JobAgentState

ジョブ エージェントの状態。

説明
Creating

作成

Ready

準備完了

Updating

更新中

Deleting

削除中

Disabled

Disabled

JobAgentUpdate

Azure SQLジョブエージェントの更新。

名前 説明
identity

JobAgentIdentity

ジョブ エージェントに割り当てられたマネージド ID

sku

Sku

SKU の名前と層。

tags

object

リソース タグ。

JobAgentUserAssignedIdentity

Azure Active Directory identity configuration for a resource.

名前 説明
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.

Sku

ARM リソース SKU。

名前 説明
capacity

integer (int32)

特定の SKU の容量。

family

string

同じ SKU に対して、サービスの世代が異なるハードウェアがある場合は、ここでキャプチャできます。

name

string

SKU の名前 。通常は、文字 + 番号コード (P3 など)。

size

string

特定の SKU のサイズ

tier

string

特定の SKU のレベルまたはエディション (Basic、Premium など)。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。